Index: c/src/lib/libbsp/i386/go32/times_i486dx
===================================================================
--- c/src/lib/libbsp/i386/go32/times_i486dx	(revision 4aac8187e853457a62e7f66041472db3234c5b01)
+++ c/src/lib/libbsp/i386/go32/times_i486dx	(revision 8e54b0b7d58c3cbe2f13e21a01b3dfcb1aeae7a9)
@@ -5,10 +5,8 @@
 #
 
-XXX No times are currently available for a i486
-
 Board:                PC/AT clone
 CPU:                  Intel i486DX
 Clock Speed:          33 Mhz
-Memory Configuration: SRAM, DRAM, cache, etc
+Memory Configuration: DRAM w/256K cache
 Wait States:          unknown
 
@@ -16,177 +14,178 @@
 Timer Source:         i8254
 
-Column A:  irrelevant
-Column B:  unused
+Column A:             3.5.1 pre-release
+Column B:             unused
 
 #                          DESCRIPTION                                 A    B
 == =================================================================  ==== ====
- 1 rtems_semaphore_create                                               20
-   rtems_semaphore_delete                                               21
-   rtems_semaphore_obtain: available                                    15
-   rtems_semaphore_obtain: not available -- NO_WAIT                     15
-   rtems_semaphore_release: no waiting tasks                            16
+ 1 rtems_semaphore_create                                               57
+   rtems_semaphore_delete                                               59
+   rtems_semaphore_obtain: available                                     9
+   rtems_semaphore_obtain: not available -- NO_WAIT                      8
+   rtems_semaphore_release: no waiting tasks                             9
 
- 2 rtems_semaphore_obtain: not available -- caller blocks               62
+ 2 rtems_semaphore_obtain: not available -- caller blocks               39
 
- 3 rtems_semaphore_release: task readied -- preempts caller             55
+ 3 rtems_semaphore_release: task readied -- preempts caller             25
 
- 4 rtems_task_restart: blocked task -- preempts caller                  77
-   rtems_task_restart: ready task -- preempts caller                    70
-   rtems_semaphore_release: task readied -- returns to caller           25
-   rtems_task_create                                                    57
-   rtems_task_start                                                     31
-   rtems_task_restart: suspended task -- returns to caller              36
-   rtems_task_delete: suspended task                                    47
-   rtems_task_restart: ready task -- returns to caller                  37
-   rtems_task_restart: blocked task -- returns to caller                46
-   rtems_task_delete: blocked task                                      50
+ 4 rtems_task_restart: blocked task -- preempts caller                 124
+   rtems_task_restart: ready task -- preempts caller                    55
+   rtems_semaphore_release: task readied -- returns to caller           16
+   rtems_task_create                                                    31
+   rtems_task_start                                                     19
+   rtems_task_restart: suspended task -- returns to caller              20
+   rtems_task_delete: suspended task                                    28
+   rtems_task_restart: ready task -- returns to caller                  20
+   rtems_task_restart: blocked task -- returns to caller                28
+   rtems_task_delete: blocked task                                      34
 
- 5 rtems_task_suspend: calling task                                     51
-   rtems_task_resume: task readied -- preempts caller                   49
+ 5 rtems_task_suspend: calling task                                     26
+   rtems_task_resume: task readied -- preempts caller                   17
 
- 6 rtems_task_restart: calling task                                     59
-   rtems_task_suspend: returns to caller                                18
-   rtems_task_resume: task readied -- returns to caller                 19
-   rtems_task_delete: ready task                                        50
+ 6 rtems_task_restart: calling task                                     22
+   rtems_task_suspend: returns to caller                                10
+   rtems_task_resume: task readied -- returns to caller                 10
+   rtems_task_delete: ready task                                        34
 
- 7 rtems_task_restart: suspended task -- preempts caller                70
+ 7 rtems_task_restart: suspended task -- preempts caller                37
 
- 8 rtems_task_set_priority: obtain current priority                     12
-   rtems_task_set_priority: returns to caller                           27
-   rtems_task_mode: obtain current mode                                  5
-   rtems_task_mode: no reschedule                                        5
-   rtems_task_mode: reschedule -- returns to caller                      8
+ 8 rtems_task_set_priority: obtain current priority                      7
+   rtems_task_set_priority: returns to caller                           13
+   rtems_task_mode: obtain current mode                                  3
+   rtems_task_mode: no reschedule                                        4
+   rtems_task_mode: reschedule -- returns to caller                     20
    rtems_task_mode: reschedule -- preempts caller                       39
-   rtems_task_set_note                                                  13
-   rtems_task_get_note                                                  13
-   rtems_clock_set                                                      33
-   rtems_clock_get                                                       3
+   rtems_task_set_note                                                   7
+   rtems_task_get_note                                                   7
+   rtems_clock_set                                                      17
+   rtems_clock_get                                                       2
 
- 9 rtems_message_queue_create                                          110
-   rtems_message_queue_send: no waiting tasks                           37
-   rtems_message_queue_urgent: no waiting tasks                         37
-   rtems_message_queue_receive: available                               31
-   rtems_message_queue_flush: no messages flushed                                     12
-   rtems_message_queue_flush: messages flushed                          16
-   rtems_message_queue_delete                                           26
+ 9 rtems_message_queue_create                                          117
+   rtems_message_queue_send: no waiting tasks                           22
+   rtems_message_queue_urgent: no waiting tasks                         22
+   rtems_message_queue_receive: available                               18
+   rtems_message_queue_flush: no messages flushed                       15
+   rtems_message_queue_flush: messages flushed                          17
+   rtems_message_queue_delete                                           63
 
-10 rtems_message_queue_receive: not available -- NO_WAIT                15
-   rtems_message_queue_receive: not available -- caller blocks          62
+10 rtems_message_queue_receive: not available -- NO_WAIT                10
+   rtems_message_queue_receive: not available -- caller blocks          42
 
-11 rtems_message_queue_send: task readied -- preempts caller            72
+11 rtems_message_queue_send: task readied -- preempts caller            38
 
-12 rtems_message_queue_send: task readied -- returns to caller          39
+12 rtems_message_queue_send: task readied -- returns to caller          27
 
-13 rtems_message_queue_urgent: task readied -- preempts caller          72
+13 rtems_message_queue_urgent: task readied -- preempts caller          38
 
-14 rtems_message_queue_urgent: task readied -- returns to caller        39
+14 rtems_message_queue_urgent: task readied -- returns to caller        26
 
-15 rtems_event_receive: obtain current events                            1
-   rtems_event_receive: not available -- NO_WAIT                        12
-   rtems_event_receive: not available -- caller blocks                  56
-   rtems_event_send: no task readied                                    12
-   rtems_event_receive: available                                       12
-   rtems_event_send: task readied -- returns to caller                  24
+15 rtems_event_receive: obtain current events                            0
+   rtems_event_receive: not available -- NO_WAIT                         6
+   rtems_event_receive: not available -- caller blocks                  34
+   rtems_event_send: no task readied                                     6
+   rtems_event_receive: available                                       21
+   rtems_event_send: task readied -- returns to caller                  19
 
-16 rtems_event_send: task readied -- preempts caller                    55
+16 rtems_event_send: task readied -- preempts caller                    26
 
-17 rtems_task_set_priority: preempts caller                             62
+17 rtems_task_set_priority: preempts caller                             36
 
-18 rtems_task_delete: calling task                                      83
+18 rtems_task_delete: calling task                                      51
 
-19 rtems_signal_catch                                                    9
-   rtems_signal_send: returns to caller                                 15
-   rtems_signal_send: signal to self                                    18
-   exit ASR overhead: returns to calling task                           22
-   exit ASR overhead: returns to preempting task                        49
+19 rtems_signal_catch                                                   17
+   rtems_signal_send: returns to caller                                 38
+   rtems_signal_send: signal to self                                    46
+   exit ASR overhead: returns to calling task                           20
+   exit ASR overhead: returns to preempting task                        29
 
-20 rtems_partition_create                                               35
-   rtems_region_create                                                  23
-   rtems_partition_get_buffer: available                                15
-   rtems_partition_get_buffer: not available                            13
-   rtems_partition_return_buffer                                        18
-   rtems_partition_delete                                               16
+20 rtems_partition_create                                               65
+   rtems_region_create                                                  59
+   rtems_partition_get_buffer: available                                39
+   rtems_partition_get_buffer: not available                            18
+   rtems_partition_return_buffer                                        36
+   rtems_partition_delete                                               32
    rtems_region_get_segment: available                                  22
-   rtems_region_get_segment: not available -- NO_WAIT                   21
-   rtems_region_return_segment: no waiting tasks                        19
-   rtems_region_get_segment: not available -- caller blocks             64
-   rtems_region_return_segment: task readied -- preempts caller         74
-   rtems_region_return_segment: task readied -- returns to caller       44
-   rtems_region_delete                                                  16
-   rtems_io_initialize                                                   2
-   rtems_io_open                                                         1
-   rtems_io_close                                                        1
-   rtems_io_read                                                         1
-   rtems_io_write                                                        1
-   rtems_io_control                                                      1
+   rtems_region_get_segment: not available -- NO_WAIT                   29
+   rtems_region_return_segment: no waiting tasks                        24
+   rtems_region_get_segment: not available -- caller blocks             83
+   rtems_region_return_segment: task readied -- preempts caller         85
+   rtems_region_return_segment: task readied -- returns to caller       39
+   rtems_region_delete                                                  30
+   rtems_io_initialize                                                   1
+   rtems_io_open                                                         0
+   rtems_io_close                                                        0
+   rtems_io_read                                                         0
+   rtems_io_write                                                        0
+   rtems_io_control                                                      0
 
-21 rtems_task_ident                                                    149
-   rtems_message_queue_ident                                           145
-   rtems_semaphore_ident                                               156
-   rtems_partition_ident                                               145
-   rtems_region_ident                                                  148
-   rtems_port_ident                                                    145
-   rtems_timer_ident                                                   145
-   rtems_rate_monotonic_ident                                          145
+21 rtems_task_ident                                                    116
+   rtems_message_queue_ident                                           113
+   rtems_semaphore_ident                                               122
+   rtems_partition_ident                                               113
+   rtems_region_ident                                                  115
+   rtems_port_ident                                                    113
+   rtems_timer_ident                                                   113
+   rtems_rate_monotonic_ident                                          113
 
-22 rtems_message_queue_broadcast: task readied -- returns to caller     42
-   rtems_message_queue_broadcast: task readied -- preempts caller       78
+22 rtems_message_queue_broadcast: task readied -- returns to caller     82
+   rtems_message_queue_broadcast: no waiting tasks                      11
+   rtems_message_queue_broadcast: task readied -- preempts caller       51
 
-23 rtems_timer_create                                                   14
-   rtems_timer_fire_after: inactive                                     22
-   rtems_timer_fire_after: active                                       24
-   rtems_timer_cancel: active                                           15
-   rtems_timer_cancel: inactive                                         13
-   rtems_timer_reset: inactive                                          21
-   rtems_timer_reset: active                                            23
-   rtems_timer_fire_when: inactive                                      34
-   rtems_timer_fire_when: active                                        34
-   rtems_timer_delete: active                                           19
-   rtems_timer_delete: inactive                                         17
-   rtems_task_wake_when                                                 69
+23 rtems_timer_create                                                    8
+   rtems_timer_fire_after: inactive                                     14
+   rtems_timer_fire_after: active                                       13
+   rtems_timer_cancel: active                                            8
+   rtems_timer_cancel: inactive                                          7
+   rtems_timer_reset: inactive                                          11
+   rtems_timer_reset: active                                            11
+   rtems_timer_fire_when: inactive                                      17
+   rtems_timer_fire_when: active                                        17
+   rtems_timer_delete: active                                           10
+   rtems_timer_delete: inactive                                          9
+   rtems_task_wake_when                                                 36
 
-24 rtems_task_wake_after: yield -- returns to caller                     9
-   rtems_task_wake_after: yields -- preempts caller                     45
+24 rtems_task_wake_after: yield -- returns to caller                     5
+   rtems_task_wake_after: yields -- preempts caller                     22
 
-25 rtems_clock_tick                                                      4
+25 rtems_clock_tick                                                     31
 
-26 _ISR_Disable                                                          0
-   _ISR_Flash                                                            1
-   _ISR_Enable                                                           1
-   _Thread_Disable_dispatch                                              0
-   _Thread_Enable_dispatch                                               7
-   _Thread_Set_state                                                    11
-   _Thread_Disptach (NO FP)                                             31
-   context switch: no floating point contexts                           21
-   context switch: self                                                 10
-   context switch: to another task                                      10
-   context switch: restore 1st FP task                                  25
-   fp context switch: save idle, restore idle                           31
-   fp context switch: save idle, restore initialized                    19
-   fp context switch: save initialized, restore initialized             20
-   _Thread_Resume                                                        7
-   _Thread_Unblock                                                       7
-   _Thread_Ready                                                         9
-   _Thread_Get                                                           4
-   _Semaphore_Get                                                        2
+26 _ISR_Disable                                                         11
+   _ISR_Flash                                                            9
+   _ISR_Enable                                                          31
+   _Thread_Disable_dispatch                                             11
+   _Thread_Enable_dispatch                                              18
+   _Thread_Set_state                                                    20
+   _Thread_Disptach (NO FP)                                             37
+   context switch: no floating point contexts                           29
+   context switch: self                                                 14
+   context switch: to another task                                      12
+   context switch: restore 1st FP task                                  54
+   fp context switch: save idle, restore idle                           47
+   fp context switch: save idle, restore initialized                    25
+   fp context switch: save initialized, restore initialized             24
+   _Thread_Resume                                                       23
+   _Thread_Unblock                                                      14
+   _Thread_Ready                                                        16
+   _Thread_Get                                                           2
+   _Semaphore_Get                                                        1
    _Thread_Get: invalid id                                               0
 
-27 interrupt entry overhead: returns to interrupted task                 6
-   interrupt exit overhead: returns to interrupted task                  6
-   interrupt entry overhead: returns to nested interrupt                 6
-   interrupt exit overhead: returns to nested interrupt                  5
-   interrupt entry overhead: returns to preempting task                  7
-   interrupt exit overhead: returns to preempting task                  36
+27 interrupt entry overhead: returns to interrupted task                25
+   interrupt exit overhead: returns to interrupted task                 14
+   interrupt entry overhead: returns to nested interrupt                12
+   interrupt exit overhead: returns to nested interrupt                 14
+   interrupt entry overhead: returns to preempting task                 14
+   interrupt exit overhead: returns to preempting task                  42
 
-28 rtems_port_create                                                    16
-   rtems_port_external_to_internal                                      11
-   rtems_port_internal_to_external                                      11
-   rtems_port_delete                                                    16
+28 rtems_port_create                                                    43
+   rtems_port_external_to_internal                                       6
+   rtems_port_internal_to_external                                       6
+   rtems_port_delete                                                    39
 
-29 rtems_rate_monotonic_create                                          15
-   rtems_rate_monotonic_period: initiate period -- returns to caller    21
-   rtems_rate_monotonic_period: obtain status                           13
-   rtems_rate_monotonic_cancel                                          16
-   rtems_rate_monotonic_delete: inactive                                18
-   rtems_rate_monotonic_delete: active                                  20
-   rtems_rate_monotonic_period: conclude periods -- caller blocks       53
+29 rtems_rate_monotonic_create                                          48
+   rtems_rate_monotonic_period: initiate period -- returns to caller    61
+   rtems_rate_monotonic_period: obtain status                           23
+   rtems_rate_monotonic_cancel                                          38
+   rtems_rate_monotonic_delete: inactive                                32
+   rtems_rate_monotonic_delete: active                                  22
+   rtems_rate_monotonic_period: conclude periods -- caller blocks       24
Index: c/src/lib/libbsp/i386/go32/times_p5
===================================================================
--- c/src/lib/libbsp/i386/go32/times_p5	(revision 4aac8187e853457a62e7f66041472db3234c5b01)
+++ c/src/lib/libbsp/i386/go32/times_p5	(revision 8e54b0b7d58c3cbe2f13e21a01b3dfcb1aeae7a9)
@@ -4,4 +4,9 @@
 #  $Id$
 #
+
+NOTE:  To obtain the execution time in microseconds, divide the number of
+       cycles by the clock speed.  For example, if rtems_semaphore create 
+       is reported to be 1164 cycles, then at 66 Mhz it takes 17.64 
+       microseconds or 8.75 microseconds at 133 Mhz.
 
 Board:                PC/AT clone
@@ -19,172 +24,173 @@
 #                          DESCRIPTION                                 A    B
 == =================================================================  ==== ====
- 1 rtems_semaphore_create                                               20
-   rtems_semaphore_delete                                               21
-   rtems_semaphore_obtain: available                                    15
-   rtems_semaphore_obtain: not available -- NO_WAIT                     15
-   rtems_semaphore_release: no waiting tasks                            16
+ 1 rtems_semaphore_create                                             1164
+   rtems_semaphore_delete                                              976
+   rtems_semaphore_obtain: available                                   300
+   rtems_semaphore_obtain: not available -- NO_WAIT                    300
+   rtems_semaphore_release: no waiting tasks                           291
 
- 2 rtems_semaphore_obtain: not available -- caller blocks               62
+ 2 rtems_semaphore_obtain: not available -- caller blocks             1182
 
- 3 rtems_semaphore_release: task readied -- preempts caller             55
+ 3 rtems_semaphore_release: task readied -- preempts caller            716
 
- 4 rtems_task_restart: blocked task -- preempts caller                  77
-   rtems_task_restart: ready task -- preempts caller                    70
-   rtems_semaphore_release: task readied -- returns to caller           25
-   rtems_task_create                                                    57
-   rtems_task_start                                                     31
-   rtems_task_restart: suspended task -- returns to caller              36
-   rtems_task_delete: suspended task                                    47
-   rtems_task_restart: ready task -- returns to caller                  37
-   rtems_task_restart: blocked task -- returns to caller                46
-   rtems_task_delete: blocked task                                      50
+ 4 rtems_task_restart: blocked task -- preempts caller                2130
+   rtems_task_restart: ready task -- preempts caller                  1861
+   rtems_semaphore_release: task readied -- returns to caller          491
+   rtems_task_create                                                  1017
+   rtems_task_start                                                    965
+   rtems_task_restart: suspended task -- returns to caller             816
+   rtems_task_delete: suspended task                                   926
+   rtems_task_restart: ready task -- returns to caller                 850
+   rtems_task_restart: blocked task -- returns to caller              1076
+   rtems_task_delete: blocked task                                     927
 
- 5 rtems_task_suspend: calling task                                     51
-   rtems_task_resume: task readied -- preempts caller                   49
+ 5 rtems_task_suspend: calling task                                    714
+   rtems_task_resume: task readied -- preempts caller                  575
 
- 6 rtems_task_restart: calling task                                     59
-   rtems_task_suspend: returns to caller                                18
-   rtems_task_resume: task readied -- returns to caller                 19
-   rtems_task_delete: ready task                                        50
+ 6 rtems_task_restart: calling task                                    646
+   rtems_task_suspend: returns to caller                               309
+   rtems_task_resume: task readied -- returns to caller                320
+   rtems_task_delete: ready task                                       994
 
- 7 rtems_task_restart: suspended task -- preempts caller                70
+ 7 rtems_task_restart: suspended task -- preempts caller              1025
 
- 8 rtems_task_set_priority: obtain current priority                     12
-   rtems_task_set_priority: returns to caller                           27
-   rtems_task_mode: obtain current mode                                  5
-   rtems_task_mode: no reschedule                                        5
-   rtems_task_mode: reschedule -- returns to caller                      8
-   rtems_task_mode: reschedule -- preempts caller                       39
-   rtems_task_set_note                                                  13
-   rtems_task_get_note                                                  13
-   rtems_clock_set                                                      33
-   rtems_clock_get                                                       3
+ 8 rtems_task_set_priority: obtain current priority                    223
+   rtems_task_set_priority: returns to caller                          468
+   rtems_task_mode: obtain current mode                                 99
+   rtems_task_mode: no reschedule                                      114
+   rtems_task_mode: reschedule -- returns to caller                    264
+   rtems_task_mode: reschedule -- preempts caller                      836
+   rtems_task_set_note                                                 236
+   rtems_task_get_note                                                 232
+   rtems_clock_set                                                     569
+   rtems_clock_get                                                     107
 
- 9 rtems_message_queue_create                                          110
-   rtems_message_queue_send: no waiting tasks                           37
-   rtems_message_queue_urgent: no waiting tasks                         37
-   rtems_message_queue_receive: available                               31
-   rtems_message_queue_flush: no messages flushed                                     12
-   rtems_message_queue_flush: messages flushed                          16
-   rtems_message_queue_delete                                           26
+ 9 rtems_message_queue_create                                         3287
+   rtems_message_queue_send: no waiting tasks                          613
+   rtems_message_queue_urgent: no waiting tasks                        615
+   rtems_message_queue_receive: available                              534
+   rtems_message_queue_flush: no messages flushed                      252
+   rtems_message_queue_flush: messages flushed                         335
+   rtems_message_queue_delete                                         1195
 
-10 rtems_message_queue_receive: not available -- NO_WAIT                15
-   rtems_message_queue_receive: not available -- caller blocks          62
+10 rtems_message_queue_receive: not available -- NO_WAIT               333
+   rtems_message_queue_receive: not available -- caller blocks        1194
 
-11 rtems_message_queue_send: task readied -- preempts caller            72
+11 rtems_message_queue_send: task readied -- preempts caller           957
 
-12 rtems_message_queue_send: task readied -- returns to caller          39
+12 rtems_message_queue_send: task readied -- returns to caller         700
 
-13 rtems_message_queue_urgent: task readied -- preempts caller          72
+13 rtems_message_queue_urgent: task readied -- preempts caller        1261
 
-14 rtems_message_queue_urgent: task readied -- returns to caller        39
+14 rtems_message_queue_urgent: task readied -- returns to caller       697
 
-15 rtems_event_receive: obtain current events                            1
-   rtems_event_receive: not available -- NO_WAIT                        12
-   rtems_event_receive: not available -- caller blocks                  56
-   rtems_event_send: no task readied                                    12
-   rtems_event_receive: available                                       12
-   rtems_event_send: task readied -- returns to caller                  24
+15 rtems_event_receive: obtain current events                           27
+   rtems_event_receive: not available -- NO_WAIT                       226
+   rtems_event_receive: not available -- caller blocks                 888
+   rtems_event_send: no task readied                                   221
+   rtems_event_receive: available                                      393
+   rtems_event_send: task readied -- returns to caller                 496
 
-16 rtems_event_send: task readied -- preempts caller                    55
+16 rtems_event_send: task readied -- preempts caller                   719
 
-17 rtems_task_set_priority: preempts caller                             62
+17 rtems_task_set_priority: preempts caller                            959
 
-18 rtems_task_delete: calling task                                      83
+18 rtems_task_delete: calling task                                    1295
 
-19 rtems_signal_catch                                                    9
-   rtems_signal_send: returns to caller                                 15
-   rtems_signal_send: signal to self                                    18
-   exit ASR overhead: returns to calling task                           22
-   exit ASR overhead: returns to preempting task                        49
+19 rtems_signal_catch                                                  223
+   rtems_signal_send: returns to caller                                628
+   rtems_signal_send: signal to self                                   821
+   exit ASR overhead: returns to calling task                          401
+   exit ASR overhead: returns to preempting task                       482
 
-20 rtems_partition_create                                               35
-   rtems_region_create                                                  23
-   rtems_partition_get_buffer: available                                15
-   rtems_partition_get_buffer: not available                            13
-   rtems_partition_return_buffer                                        18
-   rtems_partition_delete                                               16
-   rtems_region_get_segment: available                                  22
-   rtems_region_get_segment: not available -- NO_WAIT                   21
-   rtems_region_return_segment: no waiting tasks                        19
-   rtems_region_get_segment: not available -- caller blocks             64
-   rtems_region_return_segment: task readied -- preempts caller         74
-   rtems_region_return_segment: task readied -- returns to caller       44
-   rtems_region_delete                                                  16
-   rtems_io_initialize                                                   2
-   rtems_io_open                                                         1
-   rtems_io_close                                                        1
-   rtems_io_read                                                         1
-   rtems_io_write                                                        1
-   rtems_io_control                                                      1
+20 rtems_partition_create                                             1337
+   rtems_region_create                                                1031
+   rtems_partition_get_buffer: available                               680
+   rtems_partition_get_buffer: not available                           303
+   rtems_partition_return_buffer                                       617
+   rtems_partition_delete                                              523
+   rtems_region_get_segment: available                                 458
+   rtems_region_get_segment: not available -- NO_WAIT                  565
+   rtems_region_return_segment: no waiting tasks                       388
+   rtems_region_get_segment: not available -- caller blocks           1683
+   rtems_region_return_segment: task readied -- preempts caller       1476
+   rtems_region_return_segment: task readied -- returns to caller      818
+   rtems_region_delete                                                 477
+   rtems_io_initialize                                                  48
+   rtems_io_open                                                        22
+   rtems_io_close                                                       22
+   rtems_io_read                                                        22
+   rtems_io_write                                                       22
+   rtems_io_control                                                     23
 
-21 rtems_task_ident                                                    149
-   rtems_message_queue_ident                                           145
-   rtems_semaphore_ident                                               156
-   rtems_partition_ident                                               145
-   rtems_region_ident                                                  148
-   rtems_port_ident                                                    145
-   rtems_timer_ident                                                   145
-   rtems_rate_monotonic_ident                                          145
+21 rtems_task_ident                                                   3381
+   rtems_message_queue_ident                                          3328
+   rtems_semaphore_ident                                              3593
+   rtems_partition_ident                                              3286
+   rtems_region_ident                                                 3343
+   rtems_port_ident                                                   3278
+   rtems_timer_ident                                                  3282
+   rtems_rate_monotonic_ident                                         3287
 
-22 rtems_message_queue_broadcast: task readied -- returns to caller     42
-   rtems_message_queue_broadcast: task readied -- preempts caller       78
+22 rtems_message_queue_broadcast: task readied -- returns to caller   1322
+   rtems_message_queue_broadcast: no waiting tasks                     347
+   rtems_message_queue_broadcast: task readied -- preempts caller     1385
 
-23 rtems_timer_create                                                   14
-   rtems_timer_fire_after: inactive                                     22
-   rtems_timer_fire_after: active                                       24
-   rtems_timer_cancel: active                                           15
-   rtems_timer_cancel: inactive                                         13
-   rtems_timer_reset: inactive                                          21
-   rtems_timer_reset: active                                            23
-   rtems_timer_fire_when: inactive                                      34
-   rtems_timer_fire_when: active                                        34
-   rtems_timer_delete: active                                           19
-   rtems_timer_delete: inactive                                         17
-   rtems_task_wake_when                                                 69
+23 rtems_timer_create                                                  306
+   rtems_timer_fire_after: inactive                                    475
+   rtems_timer_fire_after: active                                      475
+   rtems_timer_cancel: active                                          277
+   rtems_timer_cancel: inactive                                        251
+   rtems_timer_reset: inactive                                         391
+   rtems_timer_reset: active                                           465
+   rtems_timer_fire_when: inactive                                     577
+   rtems_timer_fire_when: active                                       578
+   rtems_timer_delete: active                                          377
+   rtems_timer_delete: inactive                                        350
+   rtems_task_wake_when                                               1080
 
-24 rtems_task_wake_after: yield -- returns to caller                     9
-   rtems_task_wake_after: yields -- preempts caller                     45
+24 rtems_task_wake_after: yield -- returns to caller                   159
+   rtems_task_wake_after: yields -- preempts caller                    574
 
-25 rtems_clock_tick                                                      4
+25 rtems_clock_tick                                                    505
 
-26 _ISR_Disable                                                          0
-   _ISR_Flash                                                            1
-   _ISR_Enable                                                           1
-   _Thread_Disable_dispatch                                              0
-   _Thread_Enable_dispatch                                               7
-   _Thread_Set_state                                                    11
-   _Thread_Disptach (NO FP)                                             31
-   context switch: no floating point contexts                           21
-   context switch: self                                                 10
-   context switch: to another task                                      10
-   context switch: restore 1st FP task                                  25
-   fp context switch: save idle, restore idle                           31
-   fp context switch: save idle, restore initialized                    19
-   fp context switch: save initialized, restore initialized             20
-   _Thread_Resume                                                        7
-   _Thread_Unblock                                                       7
-   _Thread_Ready                                                         9
-   _Thread_Get                                                           4
-   _Semaphore_Get                                                        2
-   _Thread_Get: invalid id                                               0
+26 _ISR_Disable                                                         33
+   _ISR_Flash                                                           33
+   _ISR_Enable                                                          26
+   _Thread_Disable_dispatch                                             36
+   _Thread_Enable_dispatch                                             240
+   _Thread_Set_state                                                   315
+   _Thread_Disptach (NO FP)                                            623
+   context switch: no floating point contexts                          594
+   context switch: self                                                 89
+   context switch: to another task                                     122
+   context switch: restore 1st FP task                                1043
+   fp context switch: save idle, restore idle                          978
+   fp context switch: save idle, restore initialized                   390
+   fp context switch: save initialized, restore initialized            392
+   _Thread_Resume                                                      238
+   _Thread_Unblock                                                     171
+   _Thread_Ready                                                       176
+   _Thread_Get                                                          71
+   _Semaphore_Get                                                       61
+   _Thread_Get: invalid id                                              10
 
-27 interrupt entry overhead: returns to interrupted task                 6
-   interrupt exit overhead: returns to interrupted task                  6
-   interrupt entry overhead: returns to nested interrupt                 6
-   interrupt exit overhead: returns to nested interrupt                  5
-   interrupt entry overhead: returns to preempting task                  7
-   interrupt exit overhead: returns to preempting task                  36
+27 interrupt entry overhead: returns to interrupted task               391
+   interrupt exit overhead: returns to interrupted task                110
+   interrupt entry overhead: returns to nested interrupt               167
+   interrupt exit overhead: returns to nested interrupt                120
+   interrupt entry overhead: returns to preempting task                193
+   interrupt exit overhead: returns to preempting task                 961
 
-28 rtems_port_create                                                    16
-   rtems_port_external_to_internal                                      11
-   rtems_port_internal_to_external                                      11
-   rtems_port_delete                                                    16
+28 rtems_port_create                                                   668
+   rtems_port_external_to_internal                                     215
+   rtems_port_internal_to_external                                     211
+   rtems_port_delete                                                   491
 
-29 rtems_rate_monotonic_create                                          15
-   rtems_rate_monotonic_period: initiate period -- returns to caller    21
-   rtems_rate_monotonic_period: obtain status                           13
-   rtems_rate_monotonic_cancel                                          16
-   rtems_rate_monotonic_delete: inactive                                18
-   rtems_rate_monotonic_delete: active                                  20
-   rtems_rate_monotonic_period: conclude periods -- caller blocks       53
+29 rtems_rate_monotonic_create                                         823
+   rtems_rate_monotonic_period: initiate period -- returns to caller  1094
+   rtems_rate_monotonic_period: obtain status                          345
+   rtems_rate_monotonic_cancel                                         602
+   rtems_rate_monotonic_delete: inactive                               553
+   rtems_rate_monotonic_delete: active                                 528
+   rtems_rate_monotonic_period: conclude periods -- caller blocks      672
